Update Backup Repository

Product version: 10.11

Last modified: 31 July 2024

Updates a Backup Repository.

The update method replaces the whole Backup Repository configuration with the object you send. Fields that you leave out are reset to their default values, and schedules that you leave out are deleted. To change a Backup Repository, get its current object with the Get Backup Repository Info method, change the fields you need, and send the full object. Fields marked as returned by the product are ignored on update.

Endpoint

https://<Director_IP_address>:4443/c/router

Tenant Endpoint

For tenants of the multi-tenant product the endpoint must be:
https://<Director_IP_address>:4443/t/<tenant_UUID>/c/router

Request Example

Before updating an assigned Backup Repository Transporter: get the backup repository list and then replace the "transporterId" and "transporterName" fields with the updated Backup Repository Transporter data.

Request Fields

Field
Type
Value(s)
Description
action string

BackupManagement

The action that is invoked
method string

update

The method that is invoked
data array

 

Data of the Backup Repository to be updated
type string

rpc

Type of communication protocol

tid int

1

Transaction ID. Used to identify the request by both the client and the server

Data

Field

Type

Description

dataStorageType

string

Data storage type of the Backup Repository. Possible values: FOREVER_INCREMENTAL, INCREMENTAL_WITH_FULL_BACKUPS. Cannot be changed with the update method

type

string

Type of the Backup Repository. Possible values: SHARE, LOCAL, NFS_SHARE, AMAZON_EBS, AMAZON_S3, MICROSOFT_OFFICE_365, WASABI

compression

string

Compression level of the Backup Repository. Possible values: DISABLED, FAST, MEDIUM, BEST. Cannot be changed with the update method

useSelfHealSchedule

boolean

true if self-healing is run on schedule

useConsolidationSchedule

boolean

true if space reclaiming is run on schedule

useVerificationSchedule

boolean

true if all backups verification is run on schedule

useDetachSchedule

boolean

true if backup repository detaching is run on schedule

selfHealOverrideJobs

boolean

true if scheduled self-healing has higher priority over the running jobs

consolidationOverrideJobs

boolean

true if scheduled space reclaiming has higher priority over the running jobs

verificationOverrideJobs

boolean

trueif scheduled all backups verification has higher priority over the running jobs

deleteAndRecreateOnAttach

boolean

trueif the Backup Repository is deleted and re-created on a scheduled attaching

changeStatus

string

Describes if there are any changes to be applied to the Backup Repository. Possible values: NONE, CREATE_PENDING, CHANGE_PENDING, IMPORT_PENDING, RECREATE_PENDING

id

integer

Backup Repository ID. Required: identifies the Backup Repository to update

state

string

Backup Repository state. Possible values: OK, WARNING, INACCESSIBLE, ERROR. For the create method, the field is ignored

status

string

Backup Repository status. Possible values: NONE, UPDATING, SELF_HEALING, SPACE_RECLAIM, VERIFY_BACKUPS, STOPPING_SELF_HEALING, STOPPING_SPACE_RECLAIM, STOPPING_VERIFY_BACKUPS. For the create method, the field is ignored

isAccessible

boolean

Checks if the Backup Repository is accessible. For the create method, the field is ignored

attached

boolean

Checks if the Backup Repository is attached. For the create method, the field is ignored

consistent

boolean

Checks if the Backup Repository is consistent. For the create method, the field is ignored

licensed

boolean

Checks if the Backup Repository is licensed. For the create method, the field is ignored

name

string

Backup Repository name

description

string

Backup Repository description

size

int

Size of the Backup Repository in bytes. For the create method, this field is ignored

free

int

Size of the Backup Repository free space in bytes. For the create method, this field is ignored

allocated

int

 Allocated space in the Backup Repository in bytes. For the create method, this field is ignored

consumed

int

Consumed space in the Backup Repository in bytes. For the create method, this field is ignored

path

string

Path to the Backup Repository

transporterId

longint

ID of the assigned Transporter

transporterName

string

Name of the assigned Transporter. For the create method, this field is ignored

transporterVid

string

VID of the assigned Transporter. Returned by the product. To change the Transporter, use the transporterId field

transporterState

string

State of the assigned Transporter. Possible values: OK, WARNING, INACCESSIBLE, ERROR. Returned by the product

transporterCaps

Map<type, Boolean>

Capabilities of the assigned Transporter. For the create method, this field is ignored

username

string

User name for accessing the Backup Repository when the type field is CIFS_SHARE

password

string

Password for accessing the Backup Repository when the type field is CIFS_SHARE

advancedMountOptions

string

Advanced options of mounting the Backup Repository when the type field is either of the following: NFS_SHARE, CIFS_SHARE. The field is optional

backupCount

integer

Number of backups in the Backup Repository. Returned by the product

hvTypeBackupCount

Map

Count of backups per platform. For the create method, this field is ignored

hvTypeBackupHasRootDiskCount

Map

Count of platform-specific backups that have a root disk. For the create method, this field is ignored

wasDiscoveredOnce

boolean

Checks if valid data are once got from the Backup Repository. For the create method, this field is ignored

wasEdited

boolean

 Checks if the Backup Repository was edited. For the create method, this field is ignored

importIsPending

boolean

true if importing the Backup Repository is pending. Returned by the product

createIsPending

boolean

true if creating the Backup Repository is pending. Returned by the product

progress

int

Progress of a running operation when the status field is not NONE. For the create method, this field is ignored

operationStart

string

Time when the operation started while the status field is not NONE; null otherwise. Returned by the product

operationStartRelative

integer

Relative time when the operation started while the status field is not NONE; 0 otherwise. Returned by the product

transporterLockedExclusive

boolean

Checks if the Transporter is exclusively locked. For the create method, this field is ignored

transporterLockedReasons

array

Reasons for locking the Transporter. For the create method, this field is ignored

lockedExclusive

boolean

Checks if the Backup Repository is exclusively locked. For the create method, this field is ignored

lockedShared

boolean

Checks if the Backup Repository is locked by sharing. For the create method, this field is ignored

lockReasons

array

Reasons for locking the Backup Repository. For the create method, this field is ignored

preventModification

boolean

Checks if the Backup Repository modification is prevented

isStoreInSeparateFile

boolean

true if each backup is stored in a separate file

compressionRatio

int

Backup Repository compression ratio. For the create method, this field is ignored

deduplication

boolean

true if deduplication is enabled for the Backup Repository

deduplicationRatio

int

Deduplication ratio of the Backup Repository. For the create method, this field is ignored

selfHeal

boolean

Checks if self-healing is enabled

encryption

boolean

trueif encryption is enabled for the Backup Repository

encryptionPassword

string

Password for encrypting the Backup Repository

autoSize

boolean

true if automatic resizing is enabled for the Backup Repository when the type field is AMAZON_EBS

storageSize

longint

Backup Repository storage size when the type field is AMAZON_EBS

chunkSize

longint

Backup Repository chunk storage size when the type field is AMAZON_EBS

volumeType

string

Backup Repository volume type when the type field is AMAZON_EBS

awsAccountId

string

AWS account ID - used  when the type field is AMAZON_S3 or WASABI

awsAccountName

string

AWS account name - used  when the type field is AMAZON_S3 or WASABI

regionId

string

AWS region ID - used when the type field is AMAZON_S3 or WASABI

regionName

string

Aws region name - used when the type field is AMAZON_S3 or WASABI

bucketId

string

Bucket id - used when the type field is AMAZON_S3 or WASABI

bucketName

string

Bucket name - used when the type field is AMAZON_S3 or WASABI

wasabiAccountId

integer

ID of the Wasabi account. Used when the type field is WASABI

wasabiAccountName

string

Name of the Wasabi account. Used when the type field is WASABI

wasabiRegionId

integer

ID of the Wasabi region. Used when the type field is WASABI

wasabiRegionName

string

Name of the Wasabi region. Used when the type field is WASABI

wasabiBucketId

integer

ID of the Wasabi bucket. Used when the type field is WASABI

wasabiBucketName

string

Name of the Wasabi bucket. Used when the type field is WASABI

azureAccountId

integer

ID of the Azure account. Used when the type field is AZURE_BLOB

azureAccountName

string

Name of the Azure account. Used when the type field is AZURE_BLOB

azureBlobContainerId

integer

ID of the Azure Blob container. Used when the type field is AZURE_BLOB

backblazeAccountId

integer

ID of the Backblaze account. Used for Backblaze B2 Backup Repositories

backblazeAccountName

string

Name of the Backblaze account. Used for Backblaze B2 Backup Repositories

backblazeRegionName

string

Name of the Backblaze region. Used for Backblaze B2 Backup Repositories

backblazeBucketId

integer

ID of the Backblaze bucket. Used for Backblaze B2 Backup Repositories

backblazeBucketName

string

Name of the Backblaze bucket. Used for Backblaze B2 Backup Repositories

s3CompatibleAccountId

integer

ID of the S3-compatible storage account. Used for S3-compatible Backup Repositories

s3CompatibleAccountName

string

Name of the S3-compatible storage account. Used for S3-compatible Backup Repositories

s3CompatibleRegionName

string

Name of the S3-compatible storage region. Used for S3-compatible Backup Repositories

s3CompatibleBucketId

integer

ID of the S3-compatible storage bucket. Used for S3-compatible Backup Repositories

s3CompatibleBucketName

string

Name of the S3-compatible storage bucket. Used for S3-compatible Backup Repositories

deviceType

string

Device type. Returned by the product

connectionType

string

Connection type of the HPE StoreOnce Catalyst. Possible values: IP, FIBRE_CHANNEL

serverName

string

Server name or IP address of the HPE StoreOnce Catalyst. Used when the connectionType field is IP

cofcIdentifier

string

COFC identifier of the HPE StoreOnce Catalyst. Used when the connectionType field is FIBRE_CHANNEL

catalystStoreName

string

Name of the HPE StoreOnce Catalyst store

masterTenantVid

string

VID of the master tenant in the multi-tenant product. Returned by the product

localTenantVid

string

VID of the local tenant in the multi-tenant product. Returned by the product

blockingItems

array

Items that block an operation on the Backup Repository. Returned by the product

action

string

Returned by the product

enforceExplicitFileSystemSync

boolean

true if explicit file system sync is enforced for the Backup Repository

objectLockSupported

boolean

true if the storage supports Object Lock. Returned by the product

hasImmutableSavepoint

boolean

true if the Backup Repository contains immutable recovery points. Returned by the product

runUnderElevatedPrivileges

boolean

true if operations on the Backup Repository run under elevated privileges

maintenanceInterrupted

boolean

true if the last maintenance of the Backup Repository was interrupted. Returned by the product

selfHealSchedule

JSON

Data of self-healing schedule

verificationSchedule

JSON

Data of verification schedule

consolidationSchedule

JSON

Data of consolidation schedule

detachSchedule

JSON

Data of detachment schedule

attachSchedule

JSON

Data of attachment schedule

alertErrorCode

longint

Alert error code when the state field is INACCESSIBLE and the changeStatus is one of the following: CREATE_PENDING, CHANGE_PENDING, IMPORT_PENDING. For the create method, the field is ignored

alertTitle

string

Alert title. For the create method, the field is ignored

alertDescription

string

Alert description. For the create method, the field is ignored

Schedule Data

Field

Type

Description

id

integer

Schedule ID. Returned by the product

uuid

string

Schedule UUID. Returned by the product

name

string

Schedule name

enabled

boolean

true if the schedule is enabled

type

string

Schedule type. Possible values: DAILY, PERIODICALLY, NONE, MONTHLY_YEARLY, TRIGGER

startTime

string

Schedule start time. Out of the day, it is null when on demand. Format: 24-hr, hh:mm:ss a

timezoneOffsetMs

integer

Time zone offset in ms. It is set by the server

timezone

string

Time zone

on

integer

A day mask; a month is the 0th bit, the last Sunday is the 6th bit.

endTime

string

Schedule end time. Out of the day, it can be null for a scheduled type with no endTime. Format: 24-hr, hh:mm:ss a

everyType

string

Possible values: MINUTE, HOUR, SECOND, DAY

every

int

For the PERIODICALLY and TRIGGER types, it specifies a repetition period. For the TRIGGER type, it sets the delay for use

monthlyEveryType

string

Possible values: FIRST, SECOND, THIRD, FOURTH, LAST, DAY

dayOfMonth

int

Day of the month the schedule to be run

dayOfWeek

int

Weekday the schedule to be run

month

int

Month in which the schedule to be run

triggerItem

string

VID of the item to monitor (job)

triggerRunType

string

Monitored item type. Possible values: IMMEDIATELY, DELAYED

triggerEvents

array

Events of the monitored item. Possible values: RUN_SUCCESS, RUN_FAILURE, RUN_STOP

effectiveDate

string

Effective date in the ISO8601 format

nextRun

string

Next run set by the server, if available

referenceTime

string

Reference time set by the server

scheduleRetentionType

string

Schedule retention type. Possible values: WEEKLY, MONTHLY, YEARLY, PERIODIC, RUN_AFTER_JOB, NONE

customKeepSavepointCount

integer

Custom recovery point retention count, in units of the customKeepSavepointType field

customKeepSavepointType

string

Unit of the customKeepSavepointCount field. Possible values: DAYS, WEEKS, MONTHS, YEARS

keepImmutableSavepointCount

integer

Immutable recovery point retention count

position

int

Position of the schedule

Response Sample

Response Fields

Field
Value
Description
message string Message if the request failed
where string Reference to the method where the problem occurred
cause string Cause of failure
data integer ID of the updated Backup Repository